ath5k with AR5424 fails at startup or resume

Bug #269253 reported by Jeffrey Baker on 2008-09-12
242
This bug affects 36 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
Linux on the Samsung
New
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Declined for Intrepid by Jeremy Foshee
Declined for Jaunty by Jeremy Foshee

Bug Description

Using Intrepid Alpha 5, with kernel 2.6.27-2-generic, the new atheros driver ath5k frequently fails to initialize the hardware at boot time or during resume. I have an AR5424 in a ThinkPad X61. When the device fails, I get messages like these:

Sep 10 23:09:31 stinkpad kernel: [16755.056940] ath5k phy0: Atheros AR5424 chip found (MAC: 0xa3, PHY: 0x61)
Sep 10 23:09:36 stinkpad kernel: [16759.482163] ath5k phy0: gain calibration timeout (2412MHz)
Sep 10 23:09:36 stinkpad kernel: [16759.482176] ath5k phy0: unable to reset hardware: -11
Sep 10 23:09:36 stinkpad kernel: [16759.880676] ath5k phy0: gain calibration timeout (2412MHz)
Sep 10 23:09:36 stinkpad kernel: [16759.880681] ath5k phy0: unable to reset hardware: -11
Sep 10 23:09:51 stinkpad kernel: [16774.520602] ath5k phy0: gain calibration timeout (2412MHz)
Sep 10 23:09:51 stinkpad kernel: [16774.520615] ath5k phy0: unable to reset hardware: -11

Sometimes it goes on and on like that, complaining about every frequency the hardware is capable of using. In any case, it never works right after that. It is necessary to power down the machine. The madwifi driver in Hardy didn't have this problem.

Hi Jeffrey,

Thanks for testing Intrepid and writing this bug report. One of our kernel developers has packaged the madwifi drivers from the madwifi-hal-2008-08-15 branch and has made it available in his PPA (personal package archive):

https://edge.launchpad.net/~timg-tpi/+archive

Would you be willing to test this package and see if it helps resolve this bug? Information regarding how to install a package from a PPA can be found at:

https://help.launchpad.net/Packaging/PPA

Please let us know your results if you are able to test. Thanks.

Changed in linux:
status: New → Incomplete
Jeffrey Baker (jwbaker) wrote :

Sure, I'll give it a whirl, but I'd like clarification. First, this bug is on Intrepid and the package you refer to is intended for Hardy. Second, Intrepid uses ath5k and this package is madwifi. They are two separate code bases. Are you suggesting that I should try reverting to madwifi? Or are you suggesting that this madwifi package contains a newer ath5k (it does not, as far as I can tell from having downloaded and unpacked it).

Jeffrey Baker (jwbaker) wrote :

Since this advice doesn't seem relevant for my problem, I'm setting the bug back to "new".

Changed in linux:
status: Incomplete → New
Matt Lavin (matt-lavin) wrote :

I'm seeing the same behavior on a ThinkPad T60. Is there anything I can do to help diagnose the problem?

I'm having the same problem, on the Acer Aspire One. Except that rebooting doesn't help - now I can't get wifi at all.

Rich (rincebrain) wrote :

Same behavior on my T61p - Tyler, you might try what I've found helpful sometimes. Try removing all power from the laptop - including the battery, and then plugging it back in 30s later.

The card seems to be put into a very inconsistent state by these drivers.

Pietro Montini (pmontini) wrote :

installed intrepid beta from the mini.iso on my Acer Aspire One. Had problem with the WiFi. Added ath_pci to blacklist in /etc/modprobe.d/blacklisted. Then rebooted and wifi was working!

Russell Phillips (ignissport) wrote :

I've also got an Aspire one. Blacklisting ath_pci worked as a fix on kernel 2.6.27-4, but after upgrading to 2.6.27-6 I am now getting this problem. So far, I haven't manually compiled anything.

My dmesg is filling up with this:

[ 159.284886] ath5k phy0: gain calibration timeout (2412MHz)
[ 159.284920] ath5k phy0: ath5k_chan_set: unable to reset channel (2412 Mhz)
[ 159.284937] wlan0: failed to set freq to 2412 MHz for scan

I can see a list of wireless networks in range, but I cannot connect to them.

João Pinto (joaopinto) wrote :

I am having this same issue on Hardy after the recent kernel upgrade:
Linux laptop 2.6.24-21-generic #1 SMP Mon Aug 25 17:32:09 UTC 2008 i686 GNU/Linux

$ dmesg | grep ath
[ 29.254904] ath5k_pci 0000:03:00.0: registered as 'phy0'
[ 29.691437] Registered led device: ath5k-phy0::rx
[ 29.691455] Registered led device: ath5k-phy0::tx
[ 29.691458] ath5k phy0: Atheros AR5424 chip found (MAC: 0xa3, PHY: 0x61)
[ 29.709765] ath_hal: module license 'Proprietary' taints kernel.
[ 29.713619] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[ 30.113393] ath_pci: 0.9.4
[ 59.221867] ath5k phy0: noise floor calibration timeout (2417MHz)
[ 59.221878] ath5k phy0: can't reset hardware (-11)

It was working fine with the 2.6.24-19 kernel.

João Pinto (joaopinto) wrote :

My model:
03:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)

Jeffrey Baker (jwbaker) wrote :

I don't think anybody is driving this upstream. I posted the problem on the ath5k mailing list and there was no response. I've been lurking on ath5k mailing list for months and I've never seen any developers reply to anything. I have no idea how Ubuntu can drive the upstream process.

Lucio Torre (lucio.torre) wrote :

ive also been seeing all this error messages, wifi sometimes work, most of the time it does not. i installed madwifi to solve this some releases ago, but then some intrepid update broke that and i couldn't get it to work again.
using kernel 2.6.27-7, fresh install from today with all updates.

more errors i got:
ath5k phy0: ath5k_chan_set: unable to reset channel ($freq mhz)
ath5k phy0: noise floor calibration timeout (2437MHz)

hardware is atheros AR 242x in leveno thinkpad x200

nclm (nclm) wrote :

I get these "unable to reset channel" and "noise floor calibration" messages too (ath5k only - ath_pci blacklisted). They are appearing frequently in a few minutes and decrease my tranmission rates because the transmission alway hangs shortly. On the other hand suspend and resume works fine while on ath_pci I don't get my wifi connection back after resuming.

These messages seems related to: http://kerneltrap.org/mailarchive/linux-ath5k-devel/2008/9/13/3285234/thread

nclm (nclm) wrote :

After the latest update of the linux-backports-modules package with the new wireless-compat, my wifi connection with ath5k is rock solid and I don't encounter packet loss anymore I had before with ath_pci. Still got very few ath5k phy0: noise floor calibration timeout (2412MHz), but it doesn't seem to influence my connection. All other dmesg errors and wireless-compat backtraces are gone...

After a suspend/resume cycle with latest Intrepid the wireless is messed. I found this temp solution:
rmmod ath_rate_sample ath_pci ath_hal
rmmod ath_rate_sample ath_pci ath_hal
rmmod ath_rate_sample ath_pci ath_hal
modprobe ath_pci
killall NetworkManager
NetworkManager

kirma (kirma) wrote :

Adding both ath_pci and ath_hal to blacklist seemed to solve this problem (permanently enough?) for me, on today's 8.10 with updates on Acer Aspire One.

Hi Jeffrey,

Can you test the linux-backports-modules-2.6.27 package to see if there is any improvements? As nclm mentioned it has an updated compat-wireless stack. Please let us know your results. Thanks.

Matt Lavin (matt-lavin) wrote :

Things have certainly improved with the linux-backports-modules, but I still see regular "noise floor calibration timeout" followed by the card becoming unresponsive. I've switched back to the madwifi drivers for now. I looked at the git changes for the wireless-testing branch and it seems like that problem is fixed in the 'master-2008-11-17' tagged tree. Is there a chance that the linux-backports-modules would step up to that level of the wireless drivers?

Matt Lavin (matt-lavin) wrote :

Ignore my question about the updated linux-backports-modules. I see that a version with 'master-2008-11-17' level wireless drivers is sitting in the proposed state now. I'll install that and see how it goes.

Hi Matt,

Any improvements with testing linux-backports-modules that's in intrepid-proposed? Thanks.

Changed in linux:
status: New → Incomplete
Matt Lavin (matt-lavin) wrote :

The current version of linux-backports-modules is definitely not an improvement. When I use wireless with that version, I regularly see complete machine lockups.

I have the acer aspire 1 netbook also (Atheros AR242x). once i got everything working with the backports and blacklisting the bad drivers, everything was good except the killswitch (no biggie). my system hung about 1 hour ago and i had to do a hard reboot of the netbook. Once I did that, my wireless card was no longer discovered, at all. not in lsmod/lspci/lshw. I booted into windows XP Pro (dual boot laptop), and it wasn't recognized in the device manager. I did another reboot back into ubuntu and it was finally seen again but now when i enable the wireless i recieve the same hardware (-11) failure errors that others are reporting.

Doing another lshw, i see that my wireless is has Illegal Vendor ID under product and vendor categories for the phy0. the config line is as follows:

configuration: broadcast=yes driver=ath5k_pci latency=0 module=ath5k multicast=yes wireless=IEEE 802.11bg

disabling and reenabling the wireless via knetworkmanager stops the alerts, but it also disables the ability to use the wireless. I'm init 6'ing the system right now to see what happens....
...taps feet....

ok, after reboot, the invalid vendor id errors are gone from the lshw, my wireless is still seen, i recieve no (-11) errors, but I still have no wireless connection.

commented out blacklist hal_pci and ath_pci -> init 0

no wireless again... ::shrugs:: going back to ath5k and continuing to look for the problem. More info to come if more info is found/requested

me again... after the reboot and going back to the ath5k drivers, my wireless completely works again with no errors. the kill switch and lan activity lights dont work just as they didn't before, but i can connect to all wireless networks and signal strength is being displayed correctly in the strength meter.

so, if this happens to use and you have done the backports/blacklist procedure, comment out the blacklisted modules, init 6 it, when it loads up again, uncomment them out again and init 6 one more time. This is not exactly a solution to the problem, but it's atleast a work-around i can deal with for the meantime.

Changed in linux:
importance: Undecided → High
status: Incomplete → Triaged
Changed in linux:
status: Unknown → In Progress
1 comments hidden view all 115 comments
Richard Ayotte (rich-ayotte) wrote :

Acer Aspire One A110L

Evan Carroll (evancarroll) wrote :

Confirmed on Lenovo R61i WITH backported linux modules package

** lshw output **
description: Wireless interface
product: AR5212 802.11abg NIC
vendor: Atheros Communications Inc.
physical id: 0
bus info: pci@0000:03:00.0
logical name: wmaster0
version: 01
serial: 00:1f:e1:44:44:00
width: 64 bits
clock: 33MHz
capabilities: pm msi pciexpress msix bus_master cap_list logical ethernet physical wireless
configuration: broadcast=yes driver=ath5k_pci latency=0 module=ath5k multicast=yes wireless=IEEE 802.11abg

** dmesg **
[ 26.845431] ath5k phy0: gain calibration timeout (2412MHz)
[ 26.845450] ath5k phy0: can't reset hardware (-11)
[ 27.245629] ath5k phy0: gain calibration timeout (2412MHz)
[ 27.245638] ath5k phy0: can't reset hardware (-11)

root@cdeshotel-laptop:/home/cdeshotel# lsmod | egrep "ath|wifi"
ath_pci 99096 0
wlan 211952 1 ath_pci
ath_hal 198864 1 ath_pci
ath5k 106496 0
lbm_cw_mac80211 210728 1 ath5k
lbm_cw_cfg80211 39696 2 ath5k,lbm_cw_mac80211
led_class 12164 2 thinkpad_acpi,ath5k

Evan Carroll (evancarroll) wrote :

Not just on resume either, on fresh start.

Edward D (edward-doan) wrote :

Lenovo ThinkPad T60p with Intrepid Ibex, running 2.6.27-9. I lost my ath5k wireless after doing some recent update. Have previous done the blacklist ath_pci, ath_hal and installed ath5k

*** dmesg ***
[61138.052417] ath5k phy0: gain calibration timeout (2412MHz)
[61138.052424] ath5k phy0: can't reset hardware (-11)
[61138.410036] ath5k phy0: gain calibration timeout (2412MHz)
[61138.410045] ath5k phy0: can't reset hardware (-11)

*** lshw ***
description: Wireless interface
product: AR5212 802.11abg NIC
vendor: Atheros Communications Inc.
physical id: 0
bus info: pci@0000:03:00.0
logical name: wmaster0
version: 01

width: 64 bits
clock: 33MHz
capabilities: pm msi pciexpress msix bus_master cap_list logical ethernet physical wireless
configuration: broadcast=yes driver=ath5k_pci latency=0 module=ath5k multicast=yes wireless=IEEE 802.11abg

*** lsmod ***
ath5k 106496 0
lbm_cw_mac80211 210728 1 ath5k
lbm_cw_cfg80211 39696 2 ath5k,lbm_cw_mac80211
led_class 12164 2 thinkpad_acpi,ath5k

Edward D (edward-doan) wrote :

On my ThinkPad T60p, I rebooted from Intrepid to Windows XP, but could not associate with the AP in Windows. Powered off the system completed, cold booted into WinXP, and it associates fine. Rebooted into Intrepid (warm boot), and now it associates with the AP again. This ath5k problem seems to happen after a hard freeze in Intrepid puts the Atheros card into a bad state. Need to see if cold boot into Intrepid might work the next time I get a hard freeze.

Scott Moser (smoser) wrote :

Edward D,
  This is the behavior that I've seen on my T60p also. I dont have windows, and can verify that the cold boot to linux will fix the problem. I'm not sure that a reboot won't fix it some small percentage of the time, but usually when I found it stuck like this I'd power of, wait a bit and power back on.
  So, other than sympathy, I can offer you a suggestion. It *seems* fixed for me in 2.6.27-11-generic (from intrepid-proposed). I also have a Thinkpad SL500 that would exhibit this problem also, and since I've upgraded (maybe a week ago) I've not seen it again.

Vadim Ch. (eurocard) wrote :

Confirm this bug too,
with Linux kernel 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux
and latest linux-backports-modules.

in dmesg repeatly:
[ 135.820061] ath5k phy0: noise floor calibration timeout (2462MHz)
[ 138.663932] ath5k phy0: gain calibration timeout (2412MHz)
[ 138.663948] ath5k phy0: can't reset hardware (-11)

Problem solving only after cold reboot.

z3non (tom-uttenthaler) wrote :
Download full text (5.1 KiB)

I had a repeatedly similar problems using an AR242x in an EeePC with kernel 2.6.27-8-eeepc. Sometimes the NetworkManager can't connect anymore after a resume, but still shows a list of networks. After restarting the Networkmanager the network list has disappeared. Reloading the ath5k module doesn't change anything, # iwlist wlan0 scanning and $ nm-tool don't show any networks.

Submitting an rfkill command (as root) solves the problem without rebooting for me:
# echo 0 > /sys/devices/LNXSYSTM:00/device:00/ASUS010:00/rfkill/rfkill0/state
# echo 1 > /sys/devices/LNXSYSTM:00/device:00/ASUS010:00/rfkill/rfkill0/state

Another workaround is to remove the kernel module (ath5k) before suspending, as mentioned in
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/272169

Still it has to be considered as a bug, the kern.log contains the following messages:

Feb 19 09:26:10 eee-kug kernel: [102476.152330] PM: Finishing wakeup.
Feb 19 09:26:10 eee-kug kernel: [102476.152334] Restarting tasks ... done.
Feb 19 09:26:12 eee-kug kernel: [102478.580677] ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 19 09:26:17 eee-kug kernel: [102478.621258] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Feb 19 09:26:17 eee-kug kernel: [102478.664018] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
Feb 19 09:26:17 eee-kug kernel: [102478.704458] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
Feb 19 09:26:17 eee-kug kernel: [102478.904127] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
Feb 19 09:26:17 eee-kug kernel: [102479.104110] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
Feb 19 09:26:17 eee-kug kernel: [102479.304111] wlan0: authentication with AP xx:xx:xx:xx:xx:xx timed out
Feb 19 09:30:10 eee-kug kernel: [102716.216087] ACPI: EC: missing confirmations, switch off interrupt mode.
Feb 19 09:30:11 eee-kug kernel: [102716.736086] ACPI Exception (evregion-0419): AE_TIME, Returned by Handler for [EmbeddedControl] [20080609]
Feb 19 09:30:11 eee-kug kernel: [102716.736150] ACPI Error (psparse-0530): Method parse/execution failed [\_SB_.PCI0.SBRG.EC0_.BST2] (Node f74$
Feb 19 09:30:11 eee-kug kernel: [102716.736469] ACPI Error (psparse-0530): Method parse/execution failed [\_SB_.PCI0.CBST] (Node f74190d8), AE$
Feb 19 09:30:11 eee-kug kernel: [102716.736771] ACPI Error (psparse-0530): Method parse/execution failed [\_SB_.PCI0.BAT0._BST] (Node f7419018$
Feb 19 09:30:11 eee-kug kernel: [102716.737078] ACPI Exception (battery-0360): AE_TIME, Evaluating _BST [20080609]
Feb 19 09:31:21 eee-kug kernel: [102787.323858] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
Feb 19 09:31:21 eee-kug kernel: [102787.521418] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
Feb 19 09:31:22 eee-kug kernel: [102787.721096] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
Feb 19 09:31:22 eee-kug kernel: [102787.921106] wlan0: authentication with AP xx:xx:xx:xx:xx:xx timed out
Feb 19 09:38:01 eee-kug kernel: [103186.783981] ath5k phy0: gain calibration timeout (2437MHz)
Feb 19 09:38:01 eee-kug kernel: [103186.784020] ath5k phy0: ath5k_chan_set: unable to reset channel (2437 Mhz)
Feb 19 09:38:01 eee-kug kernel: [103186.784037] wlan0: failed to restore operational channel after scan
Feb 19 09:38:01 eee-kug kern...

Read more...

Mathieu Marquer (slasher-fun) wrote :

Same bug on Ubuntu Jaunty on a Samsung NC10. lspci gives 02:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01), usually during normal usage of my computer (I mean not especially after booting)

Something "interesting" is that when this bug occurs, if I make a hot reboot to Windows XP, this OS seems to work only half of the time : mouse pointer moves - blocks - moves - blocks - etc, sound plays - stops - plays - etc, and this for everything.

1 comments hidden view all 115 comments
jose luis garduno (deepsight) wrote :

Wifi in my acer aspire one works while im not moving. If i move the laptop walking in the same room i get these errors:
ath5k phy0: failed to wakeup the MAC chip
ath5k phy0: can't reset hardware (-5)

Nico (pub-1g6) wrote :

I confirm on NC10 with jaunty 2.6.28-11-generic, it did work with 2.6.27 intrepid

[ 29.434868] ath5k phy0: gain calibration timeout (2412MHz)
[ 29.434886] ath5k phy0: can't reset hardware (-11)
[ 29.791138] ath5k phy0: gain calibration timeout (2412MHz)
[ 29.791155] ath5k phy0: can't reset hardware (-11)

Stuart (stuart-ward) wrote :

Jut got this on my Samsung NC10 restarted a couple of times to no effect. Then I shutdown and cold booted and it all came back. Currently running latest Jaunty beta release.

grep ath5k /var/syslog
Apr 20 14:35:33 nc10 kernel: [ 10.134252] ath5k_pci 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Apr 20 14:35:33 nc10 kernel: [ 10.134271] ath5k_pci 0000:02:00.0: setting latency timer to 64
Apr 20 14:35:33 nc10 kernel: [ 10.134359] ath5k_pci 0000:02:00.0: registered as 'phy0'
Apr 20 14:35:33 nc10 kernel: [ 10.301387] ath5k phy0: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)
Apr 20 14:35:37 nc10 NetworkManager: <info> (wlan0): new 802.11 WiFi device (driver: 'ath5k_pci')
Apr 20 14:35:41 nc10 kernel: [ 23.396324] ath5k phy0: gain calibration timeout (2412MHz)
Apr 20 14:35:41 nc10 kernel: [ 23.396334] ath5k phy0: can't reset hardware (-11)
Apr 20 14:35:41 nc10 kernel: [ 23.747038] ath5k phy0: gain calibration timeout (2412MHz)
Apr 20 14:35:41 nc10 kernel: [ 23.747048] ath5k phy0: can't reset hardware (-11)
Apr 20 14:37:26 nc10 kernel: [ 128.204904] ath5k phy0: gain calibration timeout (2412MHz)
Apr 20 14:37:26 nc10 kernel: [ 128.204913] ath5k phy0: can't reset hardware (-11)
Apr 20 14:39:16 nc10 kernel: [ 238.409392] ath5k phy0: gain calibration timeout (2412MHz)
Apr 20 14:39:16 nc10 kernel: [ 238.409402] ath5k phy0: can't reset hardware (-11)
Apr 20 14:39:35 nc10 kernel: [ 257.438695] ath5k phy0: gain calibration timeout (2412MHz)
Apr 20 14:39:35 nc10 kernel: [ 257.438711] ath5k phy0: can't reset hardware (-11)

stuart@nc10:~$ uname -a
Linux nc10 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

i also get the

Apr 27 19:03:29 pluto kernel: [ 7148.015596] ath5k phy0: noise floor calibration timeout (2437MHz)
errors in syslog

i also get anything from 60% to 100% packet loss

im runing jaunty release every thing is updated

Duncan Cockburn (cobi) wrote :

Running Jaunty on my acer aspire one now, with linux-backports-modules and I haven't seen this problem reappear yet.

yup same for me 0% packet loss
its fixed it

Changed in linux:
status: In Progress → Incomplete
Changed in linux:
status: Incomplete → Invalid
Changed in linux (Ubuntu):
status: Triaged → Fix Committed
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → In Progress
Changed in linux (Ubuntu):
status: In Progress → Incomplete
35 comments hidden view all 115 comments
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
dispiste (dispiste) wrote :

I attach a more useful dmesg than the one attached by apport...

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: xoan 1488 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x58540000 irq 16'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,1025015b,00100101'
   Controls : 9
   Simple ctrls : 6
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=c08aa8c7-650f-48c0-bbb9-db11f31a09bb
MachineType: Acer AOA150
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic root=UUID=38b539c5-1f23-4e28-83da-07122105b8b0 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=es_ES.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-19-generic N/A
 linux-firmware 1.25
Uname: Linux 2.6.31-19-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/09/2008
dmi.bios.vendor: Acer
dmi.bios.version: v0.3305
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrv0.3305:bd05/09/2008:svnAcer:pnAOA150:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: AOA150
dmi.product.version: 1
dmi.sys.vendor: Acer

dispiste (dispiste) wrote :

Hello, I forgot to add something quite important:
after I get all these network errors, if I keep my laptop ON for a while (let's say half an hour), it totally freezes and I can just stop it by pressing the switch off button for 5 seconds.

Artem Popov (artfwo) wrote :

This is really an issue on the latest Lucid Lynx kernel. Please fix!

Changed in linux (Ubuntu):
status: New → Confirmed
roman.rene (roman-rene) wrote :

same behaviour on fujitsu amilo 1538 on latest lucid kernel : (but i've never had this bug on previous releases )

******ben@ben-laptop:~$ lsmod | egrep "ath|wifi" *******

ath5k 121824 0
ath 7611 1 ath5k
mac80211 204470 3 rt2x00usb,rt2x00lib,ath5k
led_class 2864 2 rt2x00lib,ath5k
cfg80211 126517 4 rt2x00lib,ath5k,ath,mac80211

******$ dmesg | grep ath *******
[ 7546.805827] ath5k phy0: gain calibration timeout (2432MHz)
[ 7549.244359] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 7549.628605] ath5k phy0: gain calibration timeout (2452MHz)
[ 7549.954129] ath5k phy0: noise floor calibration timeout (2452MHz)
[ 7550.341432] ath5k phy0: gain calibration timeout (2457MHz)
[ 7550.664543] ath5k phy0: noise floor calibration timeout (2457MHz)
[ 7551.048250] ath5k phy0: gain calibration timeout (2462MHz)
[ 7551.374032] ath5k phy0: noise floor calibration timeout (2462MHz)
[ 7551.756205] ath5k phy0: gain calibration timeout (2467MHz)
[ 7552.081837] ath5k phy0: noise floor calibration timeout (2467MHz)
[ 7552.464672] ath5k phy0: gain calibration timeout (2472MHz)

Cabalbl4 (i-vohmin) wrote :

Having the same bug on ubuntu lucid.
It appears only when my toshiba sattelite a210p is working on battery...

Cabalbl4 (i-vohmin) wrote :

I spent a lot of time with that problem after upgrade to lucid from karmic. When my Toshiba Satellite is powered on without ac charge this problem appears until reboot with battery disconnect. It renders laptop wlan unusable on battery power.

A list of my activities for the past week:

Trying to install latest atheros (ath5k) drivers from repos (linux-backports-modules-wireless-lucid-generic
) - failure (problem persists) (kernel 2.6.31 - 2.6.32)
Trying to build latest stable drivers from source (http://linuxwireless.org/) - failure (Tried all builds avaliable there at the moment in compat section) (problem persists)(kernel 2.6.31 - 2.6.32)
Trying to upgrade kernel (2.6.34 and 2.6.35rc) - failure (problem persists)
Trying to build driver on upgraded kernel - failure (problem persists)
Trying to install a fresh installation of lucid (formating partition with upgraded version and installing lucid from scratch) - failure (problem persists) (kernel 2.6.31 - 2.6.32)
Trying to force kernel downgrade to 2.6.31-rt via synaptic (as a last hope) - success! Problem disappeared at generic driver with no need to build anything more.

Conclusion - 100% 2.6.32 and higher kernel issue.

tags: added: kernel-needs-review kernel-net
tags: added: kernel-reviewed
removed: kernel-needs-review

Although the last comment says kernel-reviewed, I am still experiencing the same problem (less frequently, but still). I am sticking to the 2.6.31-rt kernel which is working ok but I'm hoping that this problem will not stay in next Ubuntu releases.
Can anyone tell me which kernel version is the one that is reviewed? Can I get it from synaptic? Or should I get it from backports?

Svilen Vassilev (tarakanbg) wrote :

I can confirm that the bug is still present in 10.10 (Maverick) beta kernel version 2.6.35-20-generic.

Chris Olin (chris.olin) wrote :

This bug is also present on 2.6.32-24-generic-tuxonice #42, but suspending/resuming appears to indefinitely fix the problem.

Nikola Snele (n-schnelle) wrote :

I can confirm post #104.
With 2.6.31-rt kernel I have no problem in Kubuntu Lucid.

On battery power with 2.6.32 and newer kernels my atheros card powers off and system freezes after few minutes.

Andrew McMillan (karora) wrote :

I see this after a suspend/resume cycle on a fresh install of Maverick onto an Asus F3Ke laptop. The atheros is apparently an AR5001 rev 01, PCI device ID is 1a3b:1026 which dmesg lists as an AR2425 (MAC 0xe2, PHY 0x70).

echoing 0, then 1, into the rfkill...state does not resolve the problem. Removing the modules and reloading them does not resolve the problem.

Removing the modules, performing a hibernate and restore, and then re-loading the modules *does* work, although somewhat laborious. Likewise removing the modules before a suspend and reloading them after a resume also does work.

As a consequence I have placed a file in /etc/pm/config.d/76-ath5k-modules.conf which says:

SUSPEND_MODULES="ath5k ath"

Not an ideal solution, but with this in place suspend/resume cycles work as expected.

I note that the kernel bug 12080 is CLOSED,UNREPRODUCIBLE and suggests it was fixed way back in 2.6.30 or so, but there's plenty of evidence in this bug report that (a) it still exists in Maverick (kernel 2.6.35) and (b) it is very much reproducible. See: https://bugzilla.kernel.org/show_bug.cgi?id=12080

Regards,
Andrew McMillan

In Ubuntu 10.04 I could resolve this problem by installing kernel 2.6.31-rt from the repos, but since it isn't available anymore in 10.10, I am now stuck.
Rebooting doesn't even help, I need to shutdown and start again, (reboot doesn't even work)
although I have an Asus F3Ke with an AR5007eg card, lspci shows (even if it works fine):
07:00.0 Ethernet controller: Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)

The funny thing is that I don't always have the problem. Just once every 3 or 4 bootups.

Regards,

Frans

Has anybody tried the i386 kernel in stead of amd64? I just realized that nobody is mentioning the build (at least not the people with an Asus F3Ke laptop like me).
I have only tried the amd64 build

Karsten Wegner (kawe42) wrote :

Happens also on i386 build. This UGLY bug occurs also when plugging out ac-adapter!

Karsten Wegner (kawe42) on 2010-11-17
description: updated
Cabalbl4 (i-vohmin) wrote :

BTW I have noticed that this message,
ath5k phy0: noise floor calibration timeout (2412MHz), appears at the kernel 2.6.31-22 in karmic, esp. when transferring large files. It appears most on Ad-Hoc network (I may be wrong), but does not trigger disconnect as it is on later kernels. However, it seems that the network speed is drastically decreasing when it appears.

Kurko (juho-kurki) wrote :

I compile kernel without powernow-k8 and now my wlan works perfectly!

Changed in linux:
importance: Unknown → Medium

Jeffrey Baker, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-wifi needs-upstream-testing
removed: apport-collected
Alexej (nebu0email.tg) on 2017-07-19
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Displaying first 40 and last 40 comments. View all 115 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.